org.apache.solr.analytics.util.valuesource

## Class ConstDoubleSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.ConstNumberSource
    - - org.apache.solr.analytics.util.valuesource.ConstDoubleSource

- Direct Known Subclasses:
    ConstDateSource

      public class ConstDoubleSource
      extends ConstNumberSource

  `ConstDoubleSource` returns a constant double for all documents

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstDoubleSource(double constant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `description()`
    `boolean` | `equals(Object o)`
    `boolean` | `getBool()`
    `double` | `getDouble()`
    `float` | `getFloat()`
    `int` | `getInt()`
    `long` | `getLong()`
    `Number` | `getNumber()`
    `FunctionValues` | `getValues(Map context, LeafReaderContext readerContext)`
    `int` | `hashCode()`
    `protected String` | `name()`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConstDoubleSource

          public ConstDoubleSource(double constant)

  - ### Method Detail

    - #### description

          public String description()

      Specified by:
        `description` in class `ValueSource`

    - #### name

          protected String name()

    - #### getValues

          public FunctionValues getValues(Map context,
                                          LeafReaderContext readerContext)
                                   throws IOException

      Specified by:
        `getValues` in class `ValueSource`
      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ValueSource`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in class `ValueSource`

    - #### getInt

          public int getInt()

      Specified by:
        `getInt` in class `ConstNumberSource`

    - #### getLong

          public long getLong()

      Specified by:
        `getLong` in class `ConstNumberSource`

    - #### getFloat

          public float getFloat()

      Specified by:
        `getFloat` in class `ConstNumberSource`

    - #### getDouble

          public double getDouble()

      Specified by:
        `getDouble` in class `ConstNumberSource`

    - #### getNumber

          public Number getNumber()

      Specified by:
        `getNumber` in class `ConstNumberSource`

    - #### getBool

          public boolean getBool()

      Specified by:
        `getBool` in class `ConstNumberSource`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.